%define oname   rack

Name:       ruby-%{oname}
Version:    1.5.2
%define subrel 1
Release:    %mkrel 5
Summary:    A modular Ruby webserver interface
Group:      Development/Ruby
License:    MIT
URL:        http://rack.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
# CVE-2015-3225: Potential Denial of Service Vulnerability in Rack
Patch0:	    rubygem-rack-1.5.4-CVE-2015-3225.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Rack provides minimal, modular and adaptable interface for developing
web applications in Ruby. By wrapping HTTP requests and responses in
the simplest way possible, it unifies and distills the API for web
servers, web frameworks, and software in between (the so-called
middleware) into a single method call.
Also see http://rack.rubyforge.org.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
%patch0 -p1

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/rackup
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.rdoc KNOWN-ISSUES



%changelog
* Thu Sep 03 2015 luigiwalser <luigiwalser> 1.5.2-5.1.mga4
+ Revision: 872452
- add patch from fedora to fix CVE-2015-3225

* Sat Dec 28 2013 pterjan <pterjan> 1.5.2-5.mga4
+ Revision: 561551
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.5.2-4.mga4
+ Revision: 535649
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.5.2-3.mga4
+ Revision: 482286
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.5.2-2.mga4
+ Revision: 479117
- Fix file list
- Use gem_setup

* Thu Jun 27 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 447443
- new version 1.5.2

* Tue Feb 12 2013 fwang <fwang> 1.4.5-1.mga3
+ Revision: 398090
- new version 1.4.5

* Fri Feb 08 2013 umeabot <umeabot> 1.4.1-4.mga3
+ Revision: 396303
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.4.1-3.mga3
+ Revision: 381287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.4.1-2.mga3
+ Revision: 312254
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 1.4.1-1.mga3
+ Revision: 256756
- New version
- Spec cleanup

* Tue Jun 21 2011 dams <dams> 1.1.2-1.mga2
+ Revision: 111225
- update to 1.1.2

* Wed Jan 26 2011 shikamaru <shikamaru> 1.1.0-5.mga1
+ Revision: 39685
- rebuild for new rubygems.rb

* Fri Jan 21 2011 shikamaru <shikamaru> 1.1.0-4.mga1
+ Revision: 30158
- imported package ruby-rack

